<template>
  <label class="d-label" v-text="getTitle" />
</template>

<script>
export default {
  props: {
    text: {
      required: false,
      type: String,
      default: ""
    },
    required: {
      required: false,
      type: Boolean,
      default: false
    }
  },
  computed: {
    getTitle() {
      let append = "";
      if (this.required) {
        append = " *";
      }
      return `${this.text}${append}`;
    }
  }
};
</script>

<style lang="scss">
@import "@/assets/scss/vuexy/_variables.scss";

label.d-label {
  font-size: $d-input-label-size;
  padding-left: $d-input-label-padding;
}
</style>
